# CatPath
<span class="source-link">[[Source]](src/process/_test.md#L23)</span>
```pony
primitive val CatPath
```

## Constructors

### create
<span class="source-link">[[Source]](src/process/_test.md#L23)</span>


```pony
new val create()
: CatPath val^
```

#### Returns

* [CatPath](process-CatPath.md) val^

---

## Public Functions

### apply
<span class="source-link">[[Source]](src/process/_test.md#L24)</span>


```pony
fun box apply()
: String val
```

#### Returns

* [String](builtin-String.md) val

---

### eq
<span class="source-link">[[Source]](src/process/_test.md#L24)</span>


```pony
fun box eq(
  that: CatPath val)
: Bool val
```
#### Parameters

*   that: [CatPath](process-CatPath.md) val

#### Returns

* [Bool](builtin-Bool.md) val

---

### ne
<span class="source-link">[[Source]](src/process/_test.md#L24)</span>


```pony
fun box ne(
  that: CatPath val)
: Bool val
```
#### Parameters

*   that: [CatPath](process-CatPath.md) val

#### Returns

* [Bool](builtin-Bool.md) val

---

